%define ff_epoch 0
%define ff_ver 3.0.8

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: Foxmarks Bookmark Synchronizer extension for firefox
Name: mozilla-firefox-ext-foxmarks
Version: 2.0.47.4
%define subrel 8
Release: %mkrel 2
License: GPLv2+
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/2410
Source: http://releases.mozilla.org/pub/mozilla.org/addons/2410/foxmarks_bookmark_synchronizer-%{version}-fx.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
If you use Firefox on more than one computer, you'll want Foxmarks. Install
Foxmarks on each computer, and it will work silently in the background to keep
your bookmarks synchronized. You can also log in to my.foxmarks.com to manage
your bookmarks from any computer.

A simple wizard guides you through the startup process. After that, just forget
about it. It's simple and solid.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}




%changelog
* Tue Mar 31 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.0.47.4-2.8mdv2008.1
- build for firefox 3.0.8 update

* Thu Mar 12 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.47.4-2.7mdv2008.1
- rebuilt for firefox 3.0.7 update

* Thu Feb 12 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.0.47.4-2.6mdv2008.1
- build for firefox 3.0.6 update

* Thu Jan 15 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.0.47.4-2.5mdv2008.1
+ Revision: 329642
- prepare for xulrunner 1.9 / firefox 3

* Wed Dec 17 2008 Vincent Danen <vdanen@mandriva.com> 2.0.47.4-2.4mdv2008.1
+ Revision: 315342
- rebuild against firefox 2.0.0.19

* Fri Nov 14 2008 Vincent Danen <vdanen@mandriva.com> 2.0.47.4-2.3mdv2008.1
+ Revision: 303008
- rebuild against firefox 2.0.0.18

* Fri Sep 26 2008 Vincent Danen <vdanen@mandriva.com> 2.0.47.4-2.2mdv2008.1
+ Revision: 288411
- rebuild against firefox 2.0.0.17

* Fri Jul 18 2008 Vincent Danen <vdanen@mandriva.com> 2.0.47.4-2.1mdv2008.1
+ Revision: 237891
- rebuild against firefox 2.0.0.16

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - Branching 2008.1 release for updates.

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 2.0.43-3mdv2008.1
+ Revision: 190330
- bump ff_ver and release

* Fri Mar 07 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.43-2mdv2008.1
+ Revision: 181496
- Rebuilt against FF 2.0.0.12

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 2.0.43-1mdv2008.1
+ Revision: 161201
- New version 2.0.43

* Wed Jan 23 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.41-1mdv2008.1
+ Revision: 157231
- new upstream: 2.0.41. Closes: #37047

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-4mdv2008.1
+ Revision: 117795
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.1-3mdv2008.1
+ Revision: 117475
- Rebuilt for FF 2.0.0.11

* Mon Nov 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 106113
- New firefox: 2.0.0.9

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.1-1mdv2008.1
+ Revision: 100392
- Rebuilt against FF 2.0.0.8.

* Wed Aug 01 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 57664
- Building for FF 2.0.0.6
- Import mozilla-firefox-ext-foxmarks

